# AuthService | CICADA
Documentation for CICADA

### Hierarchy

- AuthService

## Index

### Constructors

- constructor

### Properties

- mutableKeyStore
- trustedUsers
- trustedUsersList
- trustedUsersSubject

### Methods

- addTrustedUser
- getChallenge
- getPrivateKey
- getPrivateKeyInfo
- getPublicKeys
- getSessionToken
- getTrustedUsers
- getWithToken
- init
- login
- loginView
- logout
- sendSignedChallenge
- setKey
- setSessionToken
- setState

## Constructors

### constructor

- new AuthService(httpClient: HttpClient, loggingService: LoggingService, errorDialogService: ErrorDialogService ): AuthService

- - Defined in src/app/_services/auth.service.ts:23

  #### Parameters

  - ##### httpClient: HttpClient

  - ##### loggingService: LoggingService

  - ##### errorDialogService: ErrorDialogService

  #### Returns AuthService

## Properties

### mutableKeyStore

mutableKeyStore: MutableKeyStore

- Defined in src/app/_services/auth.service.ts:18

### trustedUsers

trustedUsers: Staff [] = []

- Defined in src/app/_services/auth.service.ts:19

### Private trustedUsersList

trustedUsersList: BehaviorSubject< Staff []> = ...

- Defined in src/app/_services/auth.service.ts:20

### trustedUsersSubject

trustedUsersSubject: Observable< Staff []> = ...

- Defined in src/app/_services/auth.service.ts:23

## Methods

### addTrustedUser

- addTrustedUser(user: Staff ): void

- - Defined in src/app/_services/auth.service.ts:172

  #### Parameters

  - ##### user: Staff

  #### Returns void

### getChallenge

- getChallenge(): Promise<any>

- - Defined in src/app/_services/auth.service.ts:84

  #### Returns Promise<any>

### getPrivateKey

- getPrivateKey(): any

- - Defined in src/app/_services/auth.service.ts:202

  #### Returns any

### getPrivateKeyInfo

- getPrivateKeyInfo(): any

- - Defined in src/app/_services/auth.service.ts:206

  #### Returns any

### getPublicKeys

- getPublicKeys(): Promise<any>

- - Defined in src/app/_services/auth.service.ts:190

  #### Returns Promise<any>

### getSessionToken

- getSessionToken(): string

- - Defined in src/app/_services/auth.service.ts:38

  #### Returns string

### getTrustedUsers

- getTrustedUsers(): void

- - Defined in src/app/_services/auth.service.ts:184

  #### Returns void

### getWithToken

- getWithToken(): Promise<boolean>

- - Defined in src/app/_services/auth.service.ts:50

  #### Returns Promise<boolean>

### init

- init(): Promise<void>

- - Defined in src/app/_services/auth.service.ts:31

  #### Returns Promise<void>

### login

- login(): Promise<boolean>

- - Defined in src/app/_services/auth.service.ts:93

  #### Returns Promise<boolean>

### loginView

- loginView(): void

- - Defined in src/app/_services/auth.service.ts:128

  #### Returns void

### logout

- logout(): void

- - Defined in src/app/_services/auth.service.ts:166

  #### Returns void

### sendSignedChallenge

- sendSignedChallenge(hobaResponseEncoded: any): Promise<any>

- - Defined in src/app/_services/auth.service.ts:72

  #### Parameters

  - ##### hobaResponseEncoded: any

  #### Returns Promise<any>

### setKey

- setKey(privateKeyArmored: any): Promise<boolean>

- - Defined in src/app/_services/auth.service.ts:138
  throws

  #### Parameters

  - ##### privateKeyArmored: any

    Private key.

  #### Returns Promise<boolean>

### setSessionToken

- setSessionToken(token: any): void

- - Defined in src/app/_services/auth.service.ts:42

  #### Parameters

  - ##### token: any

  #### Returns void

### setState

- setState(s: any): void

- - Defined in src/app/_services/auth.service.ts:46

  #### Parameters

  - ##### s: any

  #### Returns void

Generated using TypeDoc